<?php

@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE );
@ini_set('display_errors', true );
@ini_set('html_errors', false );
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE );

define('DATALIFEENGINE', true);

define('ROOT_DIR', dirname(__FILE__));
define('ENGINE_DIR', ROOT_DIR . '/engine');

require_once ENGINE_DIR . '/data/config.php';

header("Content-Type:text/html; charset={$config['charset']}");

require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';

session_start();

function remove_videocdn_install() {
	@unlink(ROOT_DIR . '/videocdn_install.php');
}

$do = isset($_GET['do']) ? $_GET['do'] : null;

// Код подключения кнопки поиска
$videocdn_code_button = "

/* Initialization Begin */

// Инициализация базового функционала модуля
require_once ENGINE_DIR . '/inc/videocdn/init.php';

// Присоединяем к выводу доп. полей кнопку поиска
\$output .= \$videocdn->get_button();

/* Initialization End */

";

// Код подключения вывода плеера
$videocdn_code_player = "

/* Add Player Begin */

// Инициализация базового функционала модуля
require_once ENGINE_DIR . '/inc/videocdn/init.php';

// Добавляем плеер
\$videocdn->add_player(\$row);

/* Add Player Begin */

";

if ($do == 'install') {
	// Устанавливаем правильные права на файлы
	chmod(ENGINE_DIR . '/data/videocdnconfig.php', 0644);
	chmod(ENGINE_DIR . '/inc/addnews.php', 0644);
	chmod(ENGINE_DIR . '/inc/editnews.php', 0644);
	chmod(ENGINE_DIR . '/modules/show.full.php', 0644);
	chmod(ENGINE_DIR . '/inc/videocdn/install/__addnews.php', 0644);
	chmod(ENGINE_DIR . '/inc/videocdn/install/__editnews.php', 0644);
	chmod(ENGINE_DIR . '/inc/videocdn/install/__show.full.php', 0644);

	// Получаем код необходимых файлов для вставки кода модуля
	$addnews_source = file_get_contents(ENGINE_DIR . '/inc/addnews.php');
	$editnews_source = file_get_contents(ENGINE_DIR . '/inc/editnews.php');
	$showfull_source = file_get_contents(ENGINE_DIR . '/modules/show.full.php');

	// Делаем бэкап файлов
	file_put_contents(ENGINE_DIR . '/inc/videocdn/install/__addnews.php', $addnews_source);
	file_put_contents(ENGINE_DIR . '/inc/videocdn/install/__editnews.php', $editnews_source);
	file_put_contents(ENGINE_DIR . '/inc/videocdn/install/__show.full.php', $showfull_source);

	// Вставляем код в нужные файлы для новых версий
	$new_addnews_source = preg_replace('#(echo[^<>]+<<<HTML[^html]+{\$output})#i', $videocdn_code_button . '$1', $addnews_source);
	$new_editnews_source = preg_replace('#(echo[^<>]+<<<HTML[^html]+{\$output})#i', $videocdn_code_button . '$1', $editnews_source);
	//$new_showfull_source = preg_replace('#(\$category_id[^<>]*=[^<>]*\$row\[[^<>]*\'category\'[^<>]*\];[^<>]*)(\$tpl->compile\([^<>]*\'content\'[^<>]*\);)#i', '$1' . $videocdn_code_player . '$2', $showfull_source);
	$new_showfull_source = preg_replace('#(\$tpl->compile\([^<>]*\'content\'[^<>]*\);)#i', $videocdn_code_player . '$1', $showfull_source);

	// Если хотябы в одном файле код не вставлен делаем вставку для старых версий
	if ($addnews_source == $new_addnews_source or $editnews_source == $new_editnews_source or $showfull_source == $new_showfull_source) {
		$new_addnews_source = preg_replace('#(echo[^<>]+\$output;)#i', $videocdn_code_button . '$1', $addnews_source);
		$new_editnews_source = preg_replace('#(echo[^<>]+\$output;)#i', $videocdn_code_button . '$1', $editnews_source);
		$new_showfull_source = preg_replace('#(\$tpl->compile([^<>]*\'content\'[^<>]*);[^<>]+if[^<>]*\()#i', $videocdn_code_player . '$1', $showfull_source);
	}

	if ($addnews_source != $new_addnews_source and $editnews_source != $new_editnews_source and $showfull_source != $new_showfull_source) {
		// Перезаписываем файлы
		file_put_contents(ENGINE_DIR . '/inc/addnews.php', $new_addnews_source);
		file_put_contents(ENGINE_DIR . '/inc/editnews.php', $new_editnews_source);
		file_put_contents(ENGINE_DIR . '/modules/show.full.php', $new_showfull_source);

		// Подключаем DLE API
		require_once ENGINE_DIR . '/api/api.class.php';

		// Добавляем модуль в базу используя DLE API
		$dle_api->install_admin_module('videocdn', 'videocdn', 'Авторы: Timphenix [timphenix@ya.ru], Grey [telegram: histoo | skype: rdn-team.com]', 'videocdn.png', '1');

		// Создаём таблицу в базе данных для озвучек
		$db->query("CREATE TABLE IF NOT EXISTS `" . PREFIX . "_videocdn_voice` (
		  `id` int(11) NOT NULL AUTO_INCREMENT,
		  `voice_id` int(11) NOT NULL,
		  `voice_name` varchar(128) NOT NULL,
		  `film_priority` int(11) NOT NULL DEFAULT '0',
		  `serial_priority` int(11) NOT NULL DEFAULT '0',
		  PRIMARY KEY (`id`)
		) ENGINE=MyISAM  DEFAULT CHARSET=" . COLLATE . " AUTO_INCREMENT=1 ;");

		die(json_encode(array(
			'status' => 'ok',
		)));
	} else {
		if ($addnews_source == $new_addnews_source)
			$_SESSION['videocdn_install_errors'][] = 'engine/inc/addnews.php';
		if ($addnews_source == $new_addnews_source)
			$_SESSION['videocdn_install_errors'][] = 'engine/inc/editnews.php';
		if ($addnews_source == $new_addnews_source)
			$_SESSION['videocdn_install_errors'][] = 'engine/modules/show.full.php';

		die(json_encode(array(
			'status' => 'error',
		)));
	}
} elseif ($do == 'install_success') {

	register_shutdown_function('remove_videocdn_install');

?>
<!DOCTYPE html>
<html>
<head>

	<meta charset="<?=$config['charset']?>" />

	<title>videocdn - Админпанель</title>

	<!-- CSS -->
	<link type="text/css" href="/engine/skins/videocdn/css/default.css?v=2" rel="stylesheet" />

	<!-- Bootstrap 3.2.0 CSS -->
	<link type="text/css" href="/engine/skins/videocdn/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<link type="text/css" href="/engine/skins/videocdn/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet" />

</head>
<body>

	<div class="navbar navbar-default navbar-fixed-top" role="navigation">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only">Включить навигацию</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="javascript:void(0)">videocdn</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
					<li class="active"><a href="javascript:void(0)">Установка</a></li>
				</ul>
				<div class="navbar-form navbar-right">
					<button type="button" class="btn btn-primary" onclick="location.href = '/';">На главную</button>
				</div>
			</div>
		</div>
	</div>

	<div class="container">

		<div class="alert alert-success" role="alert">
			Установка модуля успешно завершена!
		</div>

	</div>

	<!-- Подключаем jQuery для старых версий скрипта -->
	<script type="text/javascript">
		if (!window.jQuery)
			document.write(unescape("<script type=\"text/javascript\" src=\"//code.jquery.com/jquery-1.11.1.min.js\">%3C/script%3E"));
	</script>

	<!-- Bootstrap 3.2.0 JavaScript -->
	<script type="text/javascript" src="/engine/skins/videocdn/bootstrap/js/bootstrap.min.js"></script>

	<!-- JavaScript -->
	<script type="text/javascript">
	<!--

	-->
	</script>

</body>
</html>
<?php

} elseif ($do == 'install_errors') {

?>
<!DOCTYPE html>
<html>
<head>

	<meta charset="<?=$config['charset']?>" />

	<title>videocdn - Админпанель</title>

	<!-- CSS -->
	<link type="text/css" href="/engine/skins/videocdn/css/default.css?v=2" rel="stylesheet" />

	<!-- Bootstrap 3.2.0 CSS -->
	<link type="text/css" href="/engine/skins/videocdn/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<link type="text/css" href="/engine/skins/videocdn/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet" />

</head>
<body>

	<div class="navbar navbar-default navbar-fixed-top" role="navigation">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only">Включить навигацию</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="javascript:void(0)">videocdn</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
					<li class="active"><a href="javascript:void(0)">Установка</a></li>
				</ul>
			</div>
		</div>
	</div>

	<div class="container">

		<div class="alert alert-danger" role="alert">
			Установка модуля не удалась!
		</div>

		<?php if ($_SESSION['videocdn_install_errors']) { ?>
			<?php foreach ($_SESSION['videocdn_install_errors'] as $value) { ?>
				<div class="alert alert-warning" role="alert">
					Код не соответствует шаблону установки в файле <b><?=$value?></b>!
				</div>
			<?php } ?>
		<?php } ?>

	</div>

	<!-- Подключаем jQuery для старых версий скрипта -->
	<script type="text/javascript">
		if (!window.jQuery)
			document.write(unescape("<script type=\"text/javascript\" src=\"//code.jquery.com/jquery-1.11.1.min.js\">%3C/script%3E"));
	</script>

	<!-- Bootstrap 3.2.0 JavaScript -->
	<script type="text/javascript" src="/engine/skins/videocdn/bootstrap/js/bootstrap.min.js"></script>

	<!-- JavaScript -->
	<script type="text/javascript">
	<!--

	-->
	</script>

</body>
</html>
<?php

} else {

unset($_SESSION['videocdn_install_errors']);

$addnews_source = file_get_contents(ENGINE_DIR . '/inc/addnews.php');
if (strpos($addnews_source, $videocdn_code_button) !== false)
	$installed = true;
else
	$installed = false;

?>
<!DOCTYPE html>
<html>
<head>

	<meta charset="<?=$config['charset']?>" />

	<title>videocdn - Админпанель</title>

	<!-- CSS -->
	<link type="text/css" href="/engine/skins/videocdn/css/default.css?v=2" rel="stylesheet" />

	<!-- Bootstrap 3.2.0 CSS -->
	<link type="text/css" href="/engine/skins/videocdn/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<link type="text/css" href="/engine/skins/videocdn/bootstrap/css/bootstrap-theme.min.css" rel="stylesheet" />

</head>
<body>

	<div class="navbar navbar-default navbar-fixed-top" role="navigation">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only">Включить навигацию</span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="javascript:void(0)">videocdn</a>
			</div>
			<div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
					<li class="active"><a href="javascript:void(0)">Установка</a></li>
				</ul>
			</div>
		</div>
	</div>

	<div class="container">

		<?php if ($config['version_id'] < 8.2) { ?>

		<div class="alert alert-danger" role="alert">
			Версия вашего скрипта менее <b>8.2</b>, в связи с этим автоматическая установка модуля невозможна!
		</div>

		<?php } else { ?>

			<?php if ($installed) { ?>

			<div class="alert alert-info" role="alert">
				Обнаружен код успешно завершенной установки модуля!
			</div>

			<div class="alert alert-warning" role="alert">
				В целях безопастности удалите установочный файл <b>videocdn_install.php</b> из корня сайта!
			</div>

			<?php } else { ?>

			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">Установка</h3>
				</div>
				<div class="panel-body">
					<div class="progress" style="margin:0">
						<div id="videocdnInstallProgress" class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">0%</div>
					</div>
				</div>
				<div class="panel-footer">
					<button type="button" id="videocdnInstallBegin" class="btn btn-success">Начать</button>
				</div>
			</div>

			<?php } ?>

		<?php } ?>

	</div>

	<!-- Подключаем jQuery для старых версий скрипта -->
	<script type="text/javascript">
		if (!window.jQuery)
			document.write(unescape("<script type=\"text/javascript\" src=\"//code.jquery.com/jquery-1.11.1.min.js\">%3C/script%3E"));
	</script>

	<!-- Bootstrap 3.2.0 JavaScript -->
	<script type="text/javascript" src="/engine/skins/videocdn/bootstrap/js/bootstrap.min.js"></script>

	<!-- JavaScript -->
	<script type="text/javascript">
	<!--
		$("#videocdnInstallBegin").removeAttr("disabled");
		$("#videocdnInstallBegin").click(function() {
			$("#videocdnInstallBegin").attr("disabled", "disabled");

			// Step 1
			setTimeout(function() {
				$("#videocdnInstallProgress").css("width", "20%").attr("aria-valuenow", 20).text("20%");

				// Step 2
				setTimeout(function() {
					$("#videocdnInstallProgress").css("width", "40%").attr("aria-valuenow", 40).text("40%");

					// Step 3
					setTimeout(function() {
						$("#videocdnInstallProgress").css("width", "60%").attr("aria-valuenow", 60).text("60%");

						setTimeout(function() {
							$.ajax({
								url: "/videocdn_install.php?do=install",
								dataType: "json",
								cache: false,
								success: function(data) {
									if (data.status == "ok") {
										location.href = "videocdn_install.php?do=install_success";
									}
									if (data.status == "error") {
										location.href = "videocdn_install.php?do=install_errors";
									}

									// Step End
									$("#videocdnInstallProgress").css("width", "100%").attr("aria-valuenow", 100).text("100%");
								}
							});
						}, 500);
					}, 500);
				}, 500);
			}, 500);
		});
	-->
	</script>

</body>
</html>
<?php

}
